php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #13022 oracle 9i and --with-oci8
Submitted: 2001-08-29 06:11 UTC Modified: 2001-08-29 09:38 UTC
From: jewa at force dot de Assigned:
Status: Closed Package: OCI8 related
PHP Version: 4.0.6 OS: Solaris 2.7
Private report: No CVE-ID: None
 [2001-08-29 06:11 UTC] jewa at force dot de
export CC=/opt/SUNWspro/bin/cc
export ORACLE_HOME=/u01/app/oracle/product/9.0.1
./configure --prefix=/opt/php --with-mysql=/opt/mysql --with-oci8 --with-apxs=/opt/apache/bin/apxs --with-config-file-path=/opt/php; make
...
checking Oracle Install-Dir... /u01/app/oracle/product/9.0.1
+--------------------------------------------------------------------+
| Notice:                                                            |
| If you encounter <defunc> processes when using a local Oracle-DB   |
| please recompile PHP and specify --enable-sigchild when configuring|
| (This problem has been reported un Linux using Oracle >= 8.1.5)    |
+--------------------------------------------------------------------+
checking Oracle version... configure: error: Oracle-OCI8 needed libraries not found
make: Fatal error: No arguments to build

But the Net8 Client side should not be changed in Oracle  9i because it still has the 8.1.7 Net client. So I linked the library $ORACLE_HOME/lib/libclntsh.so.9.0 to $ORACLE_HOME/lib/libclntsh.so.8.0 and compiled again

and the compilation and Oracle connection works!

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-08-29 09:38 UTC] sniper@php.net
This is fixed in CVS. Try a snapshot: http://snaps.php.net/

 
PHP Copyright © 2001-2023 The PHP Group
All rights reserved.
Last updated: Sat Feb 04 06:05:49 2023 UTC